"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.customFormat = void 0;
class CustomFormatter {
    constructor() {
        this.columns = [];
        this.cellData = [];
    }
    startFormat(data) {
        let rowNum = 1;
        for (let row of data) {
            let cellDataObj = {};
            for (let cell in row) {
                if (rowNum <= 1) {
                    this.columns.push({
                        header: cell.toUpperCase(),
                        key: cell,
                        width: 30
                    });
                }
                cellDataObj[cell] = {
                    type: row[cell].type,
                    data: row[cell].value
                };
            }
            this.cellData.push(cellDataObj);
            rowNum++;
        }
    }
    getFormat() {
        return {
            header: this.columns,
            cellData: this.cellData
        };
    }
}
exports.customFormat = new CustomFormatter();
